ad_page_contract {

    Simple add/edit form for categories

    @author jade@safe4all.org
    @creation-date 2003-09-02
    @cvs-id $Id: category-add-edit.tcl,v 1.4 2005/03/01 00:01:20 jeffd Exp $

    @return context_bar Context bar.
    @return title Page title.

} {

    category_id:integer,optional
    {category_type ""}
    {short_name ""}
    {description ""}

} -properties {

    context_bar:onevalue
    title:onevalue

}

# --------------------------------------------------------------- #
# the unique identifier for this package
set package_id [ad_conn package_id]
set user_id    [auth::require_login]


if {[exists_and_not_null category_id]} {
    set title "Edit a category"
    set context_bar [ad_context_bar "Edit category"]

    # permissions
    permission::require_permission -party_id $user_id -object_id $package_id -privilege write
} else {
    set title "Add a category"
    set context_bar [ad_context_bar "New category"]

    # permissions
    permission::require_permission -party_id $user_id -object_id $package_id -privilege create
}


ad_form -name add_edit -form {
    category_id:key(rl_resource_category_seq)

    {category_type:text(select)
        {label "Type"}
        {options {[db_list_of_lists get_category_types { }]} }
    }

    {short_name:text
        {label "Category short name"}
        {value $short_name}
        {html {size 39}}
    }

    {description:text(textarea)
        {label "Description"}
        {optional}
        {value $description}
        {html { rows 5 cols 40 wrap soft}}}

} -select_query_name category_query -on_submit {

    set user_id [ad_conn user_id]
    set peeraddr [ad_conn peeraddr]

} -new_data {
    db_dml new_category { }

    ad_returnredirect "types"
    ad_script_abort

} -edit_data {

    db_dml update_category { }

} -after_submit {

    ad_returnredirect "types"
    ad_script_abort
}
