<?xml version="1.0"?>
<queryset>
<rdbms><type>postgresql</type><version>7.2</version></rdbms>

<fullquery name="res_query">
    <querytext>
        SELECT
        r.title as resource_title,
        r.description as resource_description,
        r.revision_id as resource_revision_id,
        r.item_id as resource_item_id
        FROM 
        rl_resources_revisionsx r, cr_items i
        WHERE 
        r.item_id = :resource_item_id and
        i.live_revision = r.revision_id        
    </querytext>
</fullquery>

<fullquery name="oldest_query">
    <querytext>
        SELECT
        min(revision_id) as oldest_revision
        FROM 
        rl_resources_revisionsx r
        WHERE 
        r.item_id = '$res(resource_item_id)'
    </querytext>
</fullquery>

<fullquery name="create_query">
    <querytext>
        SELECT
        to_char(r.creation_date,'Month DD YYYY') as creation_date,
        c.first_names || ' ' || c.last_name as full_name
        FROM 
        rl_resources_revisionsx r, cc_users c
        WHERE 
        r.revision_id = :oldest_revision and
        r.creation_user = c.user_id
    </querytext>
</fullquery>

  <fullquery name="get_categories">
    <querytext>
      select
        short_name, c.category_id
        FROM
        rl_resource_category c,
        rl_resource_category_map m,
        rl_resources_revisionsx r
        WHERE
        m.resource_item_id = r.item_id and
        c.category_id = m.category_id and
        r.revision_id = $res(resource_revision_id)
        ORDER BY
        short_name
    </querytext>
  </fullquery>

</queryset>
