ad_page_contract {

    Simple add/edit form for resources

    @author jade@safe4all.org
    @creation-date 2003-08-27
    @cvs-id $Id: type-add-edit.tcl,v 1.5 2005/03/01 00:01:20 jeffd Exp $

    @return context_bar Context bar.
    @return title Page title.

} {

    category_id:integer,optional

} -properties {

    context_bar:onevalue
    title:onevalue

}

# --------------------------------------------------------------- #
# the unique identifier for this package
set package_id [ad_conn package_id]
set user_id    [auth::require_login]


if {[exists_and_not_null resource_id]} {
    set title "Edit a resource type"
    set context_bar [ad_context_bar "Edit resource type"]

    # permissions
    permission::require_permission -party_id $user_id -object_id $package_id -privilege write
} else {
    set title "Add a resource type"
    set context_bar [ad_context_bar "New resource type"]

    # permissions
    permission::require_permission -party_id $user_id -object_id $package_id -privilege create
}



ad_form -name add_edit -form {
    category_id:key

    {short_name:text
        {label "Type description"}
        {html {size 39}}
    }

    {description:text(textarea)
        {label "Description"}
        {optional}
        {html { rows 5 cols 40 wrap soft}}}

    {ordering:integer(text)
	{label "Ordering"}
	{html {size 5}}
    }

} -select_query {
    SELECT 
    t.short_name,
    t.description,
    t.ordering
    FROM rl_resource_category_type t
    WHERE category_id = :category_id
} -on_submit {
    
    set user_id [ad_conn user_id]
    set peeraddr [ad_conn peeraddr]
    
} -new_data {
    
    set category_id [db_nextval rl_resource_category_type_seq]

    db_dml insert_category_type {
	INSERT INTO
	rl_resource_category_type
	(category_id,
	 short_name,
	 description,
	 ordering)
	VALUES
	(:category_id,
	 :short_name,
	 :description,
	 :ordering)
    }
    
    ad_returnredirect "types"
    ad_script_abort
    
} -edit_data {

    db_dml update_category_type {
	UPDATE rl_resource_category_type
	SET 
	short_name = :short_name,
	description = :description,
	ordering = :ordering
	WHERE
	category_id = :category_id
    }
    
} -after_submit {
    
    ad_returnredirect "types"
    ad_script_abort
}

